Index: ThirdParty/mpqc_open/src/lib/util/class/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/class/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/class/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,7 +1,12 @@
 LIBSCCLASSSOURCES = \
-		class.cc scexception.cc
+	util/class/class.cc \
+	util/class/scexception.cc
+
 
 LIBSCCLASSHEADERS = \
-		class.h proxy.h scexception.h
+	util/class/class.h \
+	util/class/proxy.h \
+	util/class/scexception.h
+
 
 lib_LTLIBRARIES +=
@@ -43,4 +48,5 @@
 #nodist_libSCclass_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 CLASSTESTS = \
 	classtest \
@@ -53,8 +59,12 @@
 	libSCclass.la libSCcontainer.la libSCref.la libSCmisc.la libSCstate.la libSCkeyval.la
 
-classtest_SOURCES = class.cc class.h classtest.cc 
+classtest_SOURCES = \
+	util/class/class.cc \
+	util/class/class.h \
+	util/class/classtest.cc
 classtest_LDADD = $(CLASSLIBS)
 
-scextest_class_SOURCES = scextest.cc
+scextest_class_SOURCES = \
+	util/class/scextest.cc
 scextest_class_LDADD = $(CLASSLIBS)
 
Index: ThirdParty/mpqc_open/src/lib/util/container/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/container/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/container/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,7 +1,16 @@
 LIBSCCONTAINERSOURCES = \
-		avl.cc bitarray.cc carray.cc
+	util/container/avl.cc \
+	util/container/bitarray.cc \
+	util/container/carray.cc
+
 
 LIBSCCONTAINERHEADERS = \
-		avlmap.h avlset.h bitarray.h carray.h compare.h eavlmmap.h LIBS.h
+	util/container/avlmap.h \
+	util/container/avlset.h \
+	util/container/bitarray.h \
+	util/container/carray.h \
+	util/container/compare.h \
+	util/container/eavlmmap.h
+
 
 lib_LTLIBRARIES +=
@@ -43,4 +52,5 @@
 #nodist_libSCcontainer_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 CONTAINERTESTS = \
 	avltest
@@ -52,4 +62,6 @@
 	libSCmisc.la libSCkeyval.la libSCstate.la libSCclass.la libSCref.la libSCcontainer.la
 
-avltest_SOURCES = avltest.cc 
+avltest_SOURCES = \
+	util/container/avltest.cc
+ 
 avltest_LDADD = $(CONTAINERLIBS)
Index: ThirdParty/mpqc_open/src/lib/util/group/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/group/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/group/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,20 +1,94 @@
 LIBSCGROUPSOURCES = \
-	message.cc messimpl.cc messproc.cc messint.cc \
-	reduce.cc topology.cc hcube.cc \
-	rnglock.cc memory.cc memmsg.cc pool.cc \
-	memamsg.cc memproc.cc \
-	pregtime.cc thread.cc memiter.cc memrdma.cc
-
-# file.cc fileproc.cc globcnt.cc hcube.cc memamsg.cc memarmci.cc memiter.cc memmsg.cc memmtmpi.cc memory.cc memproc.cc memrdma.cc memshm.cc message.cc messimpl.cc messint.cc messmpi.cc messproc.cc messshm.cc mstate.cc pool.cc pregtime.cc reduce.cc rnglock.cc thpthd.cc thpuma.cc thread.cc topology.cc
+	util/group/message.cc \
+	util/group/messimpl.cc \
+	util/group/messproc.cc \
+	util/group/messint.cc \
+	util/group/reduce.cc \
+	util/group/topology.cc \
+	util/group/hcube.cc \
+	util/group/rnglock.cc \
+	util/group/memory.cc \
+	util/group/memmsg.cc \
+	util/group/pool.cc \
+	util/group/memamsg.cc \
+	util/group/memproc.cc \
+	util/group/pregtime.cc \
+	util/group/thread.cc \
+	util/group/memiter.cc \
+	util/group/memrdma.cc
+
+# 	util/group/file.cc \
+# 	util/group/fileproc.cc \
+# 	util/group/globcnt.cc \
+# 	util/group/hcube.cc \
+# 	util/group/memamsg.cc \
+# 	util/group/memarmci.cc \
+# 	util/group/memiter.cc \
+# 	util/group/memmsg.cc \
+# 	util/group/memmtmpi.cc \
+# 	util/group/memory.cc \
+# 	util/group/memproc.cc \
+# 	util/group/memrdma.cc \
+# 	util/group/memshm.cc \
+# 	util/group/message.cc \
+# 	util/group/messimpl.cc \
+# 	util/group/messint.cc \
+# 	util/group/messmpi.cc \
+# 	util/group/messproc.cc \
+# 	util/group/messshm.cc \
+# 	util/group/mstate.cc \
+# 	util/group/pool.cc \
+# 	util/group/pregtime.cc \
+# 	util/group/reduce.cc \
+# 	util/group/rnglock.cc \
+#	util/group/thpthd.cc \
+#	util/group/thpuma.cc \
+#	util/group/thread.cc \
+# 	util/group/topology.cc
+
 
 LIBSCGROUPHEADERS = \
-	message.h \
-	topology.h hcube.h \
-	rnglock.h memory.h memmsg.h pool.h \
-	memamsg.h memproc.h \
-	pregtime.h thread.h memiter.h memrdma.h
-
+	util/group/message.h \
+	util/group/topology.h \
+	util/group/hcube.h \
+	util/group/rnglock.h \
+	util/group/memory.h \
+	util/group/memmsg.h \
+	util/group/pool.h \
+	util/group/memamsg.h \
+	util/group/memproc.h \
+	util/group/pregtime.h \
+	util/group/thread.h \
+	util/group/memiter.h \
+	util/group/memrdma.h
 		
-# file.h fileproc.h globcnt.h hcube.h LIBS.h linkage.h memamsg.h memarmci.h memiter.h memmsg.h memmtmpi.h memory.h memproc.h memrdma.h memshm.h message.h messaget.h messmpi.h messshm.h mstate.h pool.h pregtime.h rnglock.h thpthd.h thpuma.h thread.h topology.h
+# 	util/group/file.h \
+# 	util/group/fileproc.h \
+#	util/group/globcnt.h \
+# 	util/group/hcube.h \
+# 	util/group/LIBS.h \
+#	util/group/linkage.h \
+# 	util/group/memamsg.h \
+# 	util/group/memarmci.h \
+# 	util/group/memiter.h \
+# 	util/group/memmsg.h \
+# 	util/group/memmtmpi.h \
+# 	util/group/memory.h \
+# 	util/group/memproc.h \
+# 	util/group/memrdma.h \
+# 	util/group/memshm.h \
+# 	util/group/message.h \
+# 	util/group/messaget.h \
+# 	util/group/messmpi.h \
+# 	util/group/messshm.h \
+# 	util/group/mstate.h \
+# 	util/group/pool.h \
+# 	util/group/pregtime.h \
+# 	util/group/rnglock.h \
+# 	util/group/thpthd.h \
+# 	util/group/thpuma.h \
+# 	util/group/thread.h \
+# 	util/group/topology.h
+
 
 lib_LTLIBRARIES +=
@@ -56,4 +130,5 @@
 #nodist_libSCgroup_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 GROUPTESTS = \
 	memtest \
@@ -76,5 +151,6 @@
 	libSCref.la
 
-memtest_SOURCES = memtest.cc
+memtest_SOURCES = \
+	util/group/memtest.cc
 memtest_LDADD = \
 	libSCgroup.la \
@@ -86,5 +162,6 @@
 	libSCref.la
 
-messtest_SOURCES = messtest.cc
+messtest_SOURCES = \
+	util/group/messtest.cc
 messtest_LDADD = \
 	libSCgroup.la \
@@ -96,17 +173,21 @@
 	libSCref.la
 
-pooltest_SOURCES = pooltest.cc
+pooltest_SOURCES = \
+	util/group/pooltest.cc
 pooltest_LDADD = \
 	$(GROUPLIBS)
 
-prttest_SOURCES = prttest.cc
+prttest_SOURCES = \
+	util/group/prttest.cc
 prttest_LDADD = \
 	$(GROUPLIBS)
 
-rnglocktest_SOURCES = rnglocktest.cc
+rnglocktest_SOURCES = \
+	util/group/rnglocktest.cc
 rnglocktest_LDADD = \
 	libSCmisc.la libSCgroup.la
 
-thrtest_SOURCES = thrtest.cc
+thrtest_SOURCES = \
+	util/group/thrtest.cc
 thrtest_LDADD = \
 	libSCgroup.la \
Index: ThirdParty/mpqc_open/src/lib/util/keyval/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/keyval/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/keyval/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,7 +1,29 @@
 LIBSCKEYVALSOURCES = \
-		ipv2_alloc.cc ipv2.cc ipv2_cwk.cc ipv2_data.cc ipv2_error.cc ipv2_karray.cc ipv2_parse.cc ipv2_print.cc ipv2_read.cc ipv2_scan.cc keyvalagg.cc keyvalass.cc keyval.cc keyvalipv2.cc keyvalpre.cc keyvalstr.cc keyvalval.cc
+	util/keyval/ipv2_alloc.cc \
+	util/keyval/ipv2.cc \
+	util/keyval/ipv2_cwk.cc \
+	util/keyval/ipv2_data.cc \
+	util/keyval/ipv2_error.cc \
+	util/keyval/ipv2_karray.cc \
+	util/keyval/ipv2_parse.cc \
+	util/keyval/ipv2_print.cc \
+	util/keyval/ipv2_read.cc \
+	util/keyval/ipv2_scan.cc \
+	util/keyval/keyvalagg.cc \
+	util/keyval/keyvalass.cc \
+	util/keyval/keyval.cc \
+	util/keyval/keyvalipv2.cc \
+	util/keyval/keyvalpre.cc \
+	util/keyval/keyvalstr.cc \
+	util/keyval/keyvalval.cc
+
 
 LIBSCKEYVALHEADERS = \
-		ipv2.h ipv2_parse.h ipv2_scan.h keyval.h keyvalval.h LIBS.h
+	util/keyval/ipv2.h \
+	util/keyval/ipv2_parse.h \
+	util/keyval/ipv2_scan.h \
+	util/keyval/keyval.h \
+	util/keyval/keyvalval.h
+
 
 lib_LTLIBRARIES +=
@@ -43,4 +65,5 @@
 #nodist_libSCkeyval_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 KEYVALTESTS = \
 	keyvaltest
@@ -58,5 +81,7 @@
 	libSCref.la
 
-keyvaltest_SOURCES = keyvaltest.cc
+keyvaltest_SOURCES = \
+	util/keyval/keyvaltest.cc
+
 keyvaltest_LDADD = \
 	$(KEYVALLIBS)
Index: ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,9 +1,38 @@
 LIBSCMISCSOURCES = \
-		bug.cc compute.cc exenv.cc formio.cc ieee.cc regtime.cc units.cc
-# ccaenv.cc
+	util/misc/bug.cc \
+	util/misc/compute.cc \
+	util/misc/exenv.cc \
+	util/misc/formio.cc \
+	util/misc/ieee.cc \
+	util/misc/regtime.cc \
+	util/misc/units.cc
+
+# 	util/misc/ccaenv.cc
+
 
 LIBSCMISCHEADERS = \
-		timer.h compute.h ieee.h bug.h exenv.h
-#		autovec.h bug.h ccaenv.h comptmpl.h compute.h exenv.h formio.h ieee.h LIBS.h math.h newstring.h regtime.h scint.h string.h timer.h units.h
+	util/misc/timer.h \
+	util/misc/compute.h \
+	util/misc/ieee.h \
+	util/misc/bug.h \
+	util/misc/exenv.h
+
+#	util/misc/autovec.h \
+# 	util/misc/bug.h \
+# 	util/misc/ccaenv.h \
+# 	util/misc/comptmpl.h \
+# 	util/misc/compute.h \
+# 	util/misc/exenv.h \
+# 	util/misc/formio.h \
+# 	util/misc/ieee.h \
+# 	util/misc/LIBS.h \
+# 	util/misc/math.h \
+# 	util/misc/newstring.h \
+# 	util/misc/regtime.h \
+# 	util/misc/scint.h \
+# 	util/misc/string.h \
+# 	util/misc/timer.h \
+# 	util/misc/units.h
+
 
 lib_LTLIBRARIES +=
@@ -45,4 +74,5 @@
 #nodist_libSCmisc_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 MISCTESTS = \
 	autovectest \
@@ -60,33 +90,41 @@
 MISCLIBS =
 
-autovectest_SOURCES = autovectest.cc
+autovectest_SOURCES = \
+	util/misc/autovectest.cc
 autovectest_LDADD = \
         $(MISCLIBS)
 
-comptest_SOURCES = comptest.cc
+comptest_SOURCES = \
+	util/misc/comptest.cc
 comptest_LDADD = \
         $(MISCLIBS)
 
-tregtime_SOURCES = tregtime.cc
+tregtime_SOURCES = \
+	util/misc/tregtime.cc
 tregtime_LDADD = \
         $(MISCLIBS)
 
-scinttest_SOURCES = scinttest.cc
+scinttest_SOURCES = \
+	util/misc/scinttest.cc
 scinttest_LDADD = \
         $(MISCLIBS)
 
-bugtest_SOURCES = bugtest.cc
+bugtest_SOURCES = \
+	util/misc/bugtest.cc
 bugtest_LDADD = \
         $(MISCLIBS)
 
-scextest_misc_SOURCES = scextest.cc
+scextest_misc_SOURCES = \
+	util/misc/scextest.cc
 scextest_misc_LDADD = \
         $(MISCLIBS)
 
-unittest_SOURCES = unittest.cc
+unittest_SOURCES = \
+	util/misc/unittest.cc
 unittest_LDADD = \
         $(MISCLIBS)
 
-formiot_SOURCES = formiot.cc
+formiot_SOURCES = \
+	util/misc/formiot.cc
 formiot_LDADD = \
         $(MISCLIBS)
Index: ThirdParty/mpqc_open/src/lib/util/options/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/options/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/options/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,7 +1,9 @@
 LIBSCOPTIONSSOURCES = \
-		GetLongOpt.cc
+	util/options/GetLongOpt.cc
+
 
 LIBSCOPTIONSHEADERS = \
-		GetLongOpt.h
+	util/options/GetLongOpt.h
+
 
 lib_LTLIBRARIES +=
@@ -43,4 +45,5 @@
 #nodist_libSCoptions_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 OPTIONSTESTS = \
 	sample
@@ -52,5 +55,7 @@
         libSCoptions.la
 
-sample_SOURCES = README.cc
+sample_SOURCES = \
+	util/options/README.cc
+
 sample_LDADD = \
         $(OPTIONSLIBS)
Index: ThirdParty/mpqc_open/src/lib/util/psi3/libpsio/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/psi3/libpsio/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/psi3/libpsio/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,13 +1,66 @@
 LIBSCLIBPSIOSOURCES = \
-	init.cc done.cc open.cc close.cc open_check.cc error.cc \
-	rw.cc read.cc write.cc \
-	tocwrite.cc tocread.cc tocscan.cc toclast.cc tocdel.cc tocclean.cc tocprint.cc \
-	get_filename.cc get_numvols.cc get_volpath.cc volseek.cc get_address.cc get_global_address.cc \
-	write_entry.cc read_entry.cc write_block.cc read_block.cc
-#		close.cc done.cc error.cc get_address.cc get_filename.cc get_global_address.cc get_numvols.cc get_volpath.cc init.cc open.cc open_check.cc psiotest.cc read_block.cc read.cc read_entry.cc rw.cc tocclean.cc tocdel.cc toclast.cc tocprint.cc tocread.cc tocscan.cc tocwrite.cc volseek.cc write_block.cc write.cc write_entry.cc
+	util/psi3/libpsio/init.cc \
+	util/psi3/libpsio/done.cc \
+	util/psi3/libpsio/open.cc \
+	util/psi3/libpsio/close.cc \
+	util/psi3/libpsio/open_check.cc \
+	util/psi3/libpsio/error.cc \
+	util/psi3/libpsio/rw.cc \
+	util/psi3/libpsio/read.cc \
+	util/psi3/libpsio/write.cc \
+	util/psi3/libpsio/tocwrite.cc \
+	util/psi3/libpsio/tocread.cc \
+	util/psi3/libpsio/tocscan.cc \
+	util/psi3/libpsio/toclast.cc \
+	util/psi3/libpsio/tocdel.cc \
+	util/psi3/libpsio/tocclean.cc \
+	util/psi3/libpsio/tocprint.cc \
+	util/psi3/libpsio/get_filename.cc \
+	util/psi3/libpsio/get_numvols.cc \
+	util/psi3/libpsio/get_volpath.cc \
+	util/psi3/libpsio/volseek.cc \
+	util/psi3/libpsio/get_address.cc \
+	util/psi3/libpsio/get_global_address.cc \
+	util/psi3/libpsio/write_entry.cc \
+	util/psi3/libpsio/read_entry.cc \
+	util/psi3/libpsio/write_block.cc \
+	util/psi3/libpsio/read_block.cc
+
+#	util/psi3/libpsio/close.cc \
+# 	util/psi3/libpsio/done.cc \
+# 	util/psi3/libpsio/error.cc \
+# 	util/psi3/libpsio/get_address.cc \
+# 	util/psi3/libpsio/get_filename.cc \
+# 	util/psi3/libpsio/get_global_address.cc \
+# 	util/psi3/libpsio/get_numvols.cc \
+# 	util/psi3/libpsio/get_volpath.cc \
+# 	util/psi3/libpsio/init.cc \
+# 	util/psi3/libpsio/open.cc \
+# 	util/psi3/libpsio/open_check.cc \
+# 	util/psi3/libpsio/psiotest.cc \
+# 	util/psi3/libpsio/read_block.cc \
+# 	util/psi3/libpsio/read.cc \
+# 	util/psi3/libpsio/read_entry.cc \
+# 	util/psi3/libpsio/rw.cc \
+# 	util/psi3/libpsio/tocclean.cc \
+# 	util/psi3/libpsio/tocdel.cc \
+# 	util/psi3/libpsio/toclast.cc \
+# 	util/psi3/libpsio/tocprint.cc \
+# 	util/psi3/libpsio/tocread.cc \
+# 	util/psi3/libpsio/tocscan.cc \
+# 	util/psi3/libpsio/tocwrite.cc \
+# 	util/psi3/libpsio/volseek.cc \
+# 	util/psi3/libpsio/write_block.cc \
+# 	util/psi3/libpsio/write.cc \
+# 	util/psi3/libpsio/write_entry.cc
+
 
 LIBSCLIBPSIOHEADERS = \
-	psio.h psio.gbl
-#		psifiles.h psio.h
+	util/psi3/libpsio/psio.h \
+	util/psi3/libpsio/psio.gbl
+
+#	util/psi3/libpsio/psifiles.h \
+# 	util/psi3/libpsio/psio.h
+
 
 lib_LTLIBRARIES +=
@@ -49,4 +102,5 @@
 #nodist_libSCpsio_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 PSIOTESTS = \
         psiotest
@@ -58,5 +112,6 @@
 	libSCpsio.la libSCclass.la libSCcontainer.la libSCref.la libSCmisc.la libSCstate.la libSCkeyval.la
 
-psiotest_SOURCES = psiotest.cc
+psiotest_SOURCES = \
+	util/psi3/libpsio/psiotest.cc
 psiotest_LDADD = \
         $(PSIOLIBS)
Index: ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,7 +1,11 @@
 LIBSCREFSOURCES = \
-		identity.cc ref.cc
+	util/ref/identity.cc \
+	util/ref/ref.cc
+
 
 LIBSCREFHEADERS = \
-		identity.h ref.h
+	util/ref/identity.h \
+	util/ref/ref.h
+
 
 lib_LTLIBRARIES +=
@@ -43,4 +47,5 @@
 #nodist_libSCref_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 REFTESTS = \
         reftest
@@ -54,5 +59,9 @@
 	libSCcontainer.la libSCref.la libSCmisc.la
 
-reftest_SOURCES = reftest.cc reftextx.cc reftextx.h
+reftest_SOURCES = \
+	util/ref/reftest.cc \
+	util/ref/reftextx.cc \
+	util/ref/reftextx.h
+
 reftest_LDADD = \
         $(REFLIBS)
Index: ThirdParty/mpqc_open/src/lib/util/render/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/render/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/render/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,7 +1,38 @@
 LIBSCRENDERSOURCES = \
-		algebra3.cc animate.cc appearance.cc color.cc material.cc object.cc oogl.cc polygons.cc polylines.cc polysphere.cc render.cc sphere.cc tempinst.cc transform.cc
+	util/render/algebra3.cc \
+	util/render/animate.cc \
+	util/render/appearance.cc \
+	util/render/color.cc \
+	util/render/material.cc \
+	util/render/object.cc \
+	util/render/oogl.cc \
+	util/render/polygons.cc \
+	util/render/polylines.cc \
+	util/render/polysphere.cc \
+	util/render/render.cc \
+	util/render/sphere.cc \
+	util/render/tempinst.cc \
+	util/render/transform.cc
+
 
 LIBSCRENDERHEADERS = \
-		algebra3.h animate.h appearance.h color.h find.h linkage.h material.h object.h oogl.h parameter.h polygons.h polylines.h polysphere.h render.h sphere.h stack.h transform.h
+	util/render/algebra3.h \
+	util/render/animate.h \
+	util/render/appearance.h \
+	util/render/color.h \
+	util/render/find.h \
+	util/render/linkage.h \
+	util/render/material.h \
+	util/render/object.h \
+	util/render/oogl.h \
+	util/render/parameter.h \
+	util/render/polygons.h \
+	util/render/polylines.h \
+	util/render/polysphere.h \
+	util/render/render.h \
+	util/render/sphere.h \
+	util/render/stack.h \
+	util/render/transform.h
+
 
 lib_LTLIBRARIES +=
@@ -43,4 +74,5 @@
 #nodist_libSCrender_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 RENDERTESTS = \
         rentest
@@ -54,5 +86,6 @@
         libSCcontainer.la libSCref.la libSCmisc.la
 
-rentest_SOURCES = rentest.cc
+rentest_SOURCES = \
+	util/render/rentest.cc
 rentest_LDADD = \
         $(RENDERLIBS)
Index: ThirdParty/mpqc_open/src/lib/util/state/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/state/Makefile.am	(revision 318d5a28bf0ffe5bd0df8a9acee9b9159ff92149)
+++ ThirdParty/mpqc_open/src/lib/util/state/Makefile.am	(revision e2a57dfeae8b4dd60bd7c41d4f218355c7df6870)
@@ -1,7 +1,26 @@
 LIBSCSTATESOURCES = \
-		proxy.cc state_bin.cc state.cc state_file.cc statein.cc stateout.cc state_text.cc tmplinst.cc translate.cc
+	util/state/proxy.cc \
+	util/state/state_bin.cc \
+	util/state/state.cc \
+	util/state/state_file.cc \
+	util/state/statein.cc \
+	util/state/stateout.cc \
+	util/state/state_text.cc \
+	util/state/tmplinst.cc \
+	util/state/translate.cc
+
 
 LIBSCSTATEHEADERS = \
-		linkage.h proxy.h state_bin.h state_file.h state.h statein.h stateio.h stateout.h state_text.h translate.h
+	util/state/linkage.h \
+	util/state/proxy.h \
+	util/state/state_bin.h \
+	util/state/state_file.h \
+	util/state/state.h \
+	util/state/statein.h \
+	util/state/stateio.h \
+	util/state/stateout.h \
+	util/state/state_text.h \
+	util/state/translate.h
+
 
 lib_LTLIBRARIES +=
@@ -43,4 +62,5 @@
 #nodist_libSCstate_libinclude_HEADERS = $(top_builddir)/src/lib/scconfig.h
 
+
 STATETESTS = \
         statetest
@@ -54,5 +74,7 @@
         libSCcontainer.la libSCref.la libSCmisc.la
 
-statetest_SOURCES = statetest.cc
+statetest_SOURCES = \
+	util/state/statetest.cc
+
 statetest_LDADD = \
         $(STATELIBS)
